### A free/open-source library for quantitative finance

Classes
ql/cashflows/cpicouponpricer.hpp File Reference

zero inflation-coupon pricer More...

`#include <ql/cashflow.hpp>`
`#include <ql/option.hpp>`
`#include <ql/cashflows/inflationcouponpricer.hpp>`
`#include <ql/cashflows/cpicoupon.hpp>`
`#include <ql/termstructures/volatility/inflation/cpivolatilitystructure.hpp>`
Include dependency graph for cpicouponpricer.hpp:

## Classes

class | CPICouponPricer
| base pricer for capped/floored CPI coupons N.B. vol-dependent parts are a TODO More...

## Detailed Description

zero inflation-coupon pricer